|  | Home · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# Obsolete Members for QPalette

The following class members are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

- QPalette class reference

### Public Functions

- QPalette ( const QColor & windowText, const QColor & window, const QColor & light, const QColor & dark, const QColor & mid, const QColor & text, const QColor & base ) `(obsolete)`
- const QBrush & background () const `(obsolete)`
- const QBrush & foreground () const `(obsolete)`

## Member Function Documentation

### QPalette::QPalette ( const QColor & windowText, const QColor & window, const QColor & light, const QColor & dark, const QColor & mid, const QColor & text, const QColor & base )

Constructs a palette with the specified windowText, window, light, dark, mid, text, and base colors. The button color will be set to the window color.

### const QBrush & QPalette::background () const

Use window() instead.

### const QBrush & QPalette::foreground () const

Use windowText() instead.